# Example Snyk script for GitLab CI/CD Pipeline
image: node:current-slim

snyk_open_source:
  stage: test
  script:
    # Install Snyk
    - npm install -g snyk
    - npm install snyk-to-html -g
    - snyk auth $SNYK_TOKEN

    # Run a Snyk Open Source test
    - snyk test --json | snyk-to-html -o snyk_open_source.html
  artifacts:
    when: always
    paths: 
      - snyk_open_source.html
snyk_code:
  stage: test
  script:
    # Install Snyk
    - npm install -g snyk
    - npm install snyk-to-html -g
    - snyk auth $SNYK_TOKEN

    # Run a Snyk Code test that will fail when high severity issues are found
    - snyk code test --severity-threshold=high --json | snyk-to-html -o snyk_code.html
  artifacts:
    when: always
    paths: 
      - snyk_code.html
